#
# spec file for package kirigami-addons
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without released

Name:           kirigami-addons
Version:        0.11.0
Release:        1.6
Summary:        Add-ons for the Kirigami framework
License:        LGPL-3.0-only
URL:            https://invent.kde.org/libraries/kirigami-addons
Source:         https://download.kde.org/stable/kirigami-addons/kirigami-addons-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/kirigami-addons/kirigami-addons-%{version}.tar.xz.sig
Source2:        kirigami-addons.keyring
%endif
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
Requires:       kirigami2

%description
A set of "widgets" i.e visual end user components along with a
code to support them. Components are usable by both touch and
desktop experiences providing a native experience on both, and
look native with any QQC2 style (qqc2-desktop-theme, Material
or Plasma).

%package devel
Summary: Development files for kirigami-addons
Requires: %{name} = %{version}

%description devel
A set of "widgets" i.e visual end user components along with a
code to support them. Components are usable by both touch and
desktop experiences providing a native experience on both, and
look native with any QQC2 style (qqc2-desktop-theme, Material
or Plasma). This package provides development files to build 
applications with kirigami-addons.

%lang_package

%prep
%autosetup -p1

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build
%find_lang %{name}

%files
%license LICENSES/*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%{_kf5_qmldir}/org/kde/kirigamiaddons/

%files devel
%{_kf5_cmakedir}/KF5KirigamiAddons/

%files lang -f %{name}.lang

%changelog
* Thu Aug 17 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.11.0
  * Moved Kirigami.CategorizedSettings and Kirigami.SettingAction
    from Kirigami to Kirigami Addons
  * Two new components: FloatingButton and DoubleFloatingButton
  * Renamed MobileForm to FormCard
  * New About Pages
* Fri Jul 28 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.10.0. No changelog.
* Mon Jul  3 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.9.0
  * Added MobileForm.FormGridContainer API
  * MobileForm.AboutPage now can contains extra content
  * Validator support in MobileForm.FormTextFieldDelegate
  * The BasicTreeItem component now uses correct spacing
    between items
* Fri Apr 14 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.8.0
  * New components added:
    AbstractMaximizeComponent
    Convergent SpinBox
  * small bug fixes and API improvements
* Thu Mar  9 2023 Christophe Marin <christophe@krop.fr>
- Update to 0.7.2. No changelog. Changes since 0.7.1:
  * Fix indicator spacing
  * Add edit text
  * Silence some errors
  * Add avatar of user if specified
  * qdatetimeparser "QVariant::Type" -> "QMetaType::Type"
  * Fix layout bug in AboutPage
* Tue Dec 20 2022 Christophe Marin <christophe@krop.fr>
- Don't delete the CMake config files, tokodon needs them
* Thu Dec 15 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 0.6.1. No changelog provided, list of git commits too long, so:
  * Probably some new features
  * Probably some new fixes
  * Probably some new bugs as well
- Add Carl Schwan's public key to the keyring, rename it to
  kirigami-addons.keyring
* Fri Oct  7 2022 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 0.4
* Sat Oct 16 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Initial packaging, based on home:andresbs:plasma-mobile/kirigami-addons
